Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.web
Interface WebResponse

All Superinterfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse

All Known Implementing Classes:
  AbstractWebResponse, EndPointResponse

    public interface WebResponse

extends javax.servlet.http.HttpServletResponse

Extends the HttpServletResponse interface to add web module concepts.

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Method Summary
`java.lang.String` | `renderURL(java.lang.String path, java.util.Map<java.lang.String,java.lang.String[]> parameters, org.jboss.portal.common.servlet.URLFormat wantedURLFormat)` Renders an URL and returns the rendered string.
`void` | `renderURL(java.io.Writer writer, java.lang.String path, java.util.Map<java.lang.String,java.lang.String[]> parameters, org.jboss.portal.common.servlet.URLFormat wantedURLFormat)` Renders an URL in the provided writer.

Methods inherited from interface javax.servlet.http.HttpServletResponse
`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, sendError, sendError, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus, setStatus`

Methods inherited from interface javax.servlet.ServletResponse
`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentType, setLocale`

Method Detail

### renderURL

    java.lang.String renderURL(java.lang.String path,
                               java.util.Map<java.lang.String,java.lang.String[]> parameters,
                               org.jboss.portal.common.servlet.URLFormat wantedURLFormat)
                               throws java.lang.IllegalArgumentException

  Renders an URL and returns the rendered string.

  The path argument is mandatory and must begin with '/' char. The parameters argument is optional and the wantedURLFormat is also optional.

  If the parameter map is not null, it must provide a key set with no null elements and the values must be string arrays with no null entries. Any entry with an empty length value will be skipped.

  Parameters:
    `path` - the path relative to the web context
    `parameters` - the optional parameter map
    `wantedURLFormat` - the url format needed
  Returns:
    the rendered URL
  Throws:
    `java.lang.IllegalArgumentException` - if the path value is not correct or the parameter map is corrupted

### renderURL

    void renderURL(java.io.Writer writer,
                   java.lang.String path,
                   java.util.Map<java.lang.String,java.lang.String[]> parameters,
                   org.jboss.portal.common.servlet.URLFormat wantedURLFormat)
                   throws java.lang.IllegalArgumentException,
                          java.io.IOException

  Renders an URL in the provided writer.

  Parameters:
    `writer` - the writer
    `path` - the path relative to the web context
    `parameters` - the optional parameter map
    `wantedURLFormat` - the url format needed
  Throws:
    `java.lang.IllegalArgumentException` - if the path value is not correct or the write is null or the parameter map is corrupted
    `java.io.IOException` - any IOException thrown by the writer
  See Also:
    `renderURL(String, java.util.Map, org.jboss.portal.common.servlet.URLFormat)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.